Rygel.Playbin.Player – librygel-renderer-gst Reference Manual

# Player

## Object Hierarchy:

## Description:

public class Player : Object, MediaPlayer

Implementation of RygelMediaPlayer for GStreamer.

This class is useful only when implementing Rygel plugins.

Namespace: Rygel.Playbin
Package: librygel-renderer-gst

## Content:

### Properties:

- public dynamic Element playbin { get; }
- public string playback_state { set; owned get; }
- public string[] allowed_playback_speeds { owned get; }
- public string playback_speed { set; owned get; }
- public string? uri { set; owned get; }
- public string? mime_type { set; owned get; }
- public string? metadata { set; owned get; }
- public bool can_seek { get; }
- public bool can_seek_bytes { get; }
- public string? user_agent { set; owned get; }
- public string? content_features { set; owned get; }
- public double volume { set; get; }
- public int64 duration { get; }
- public int64 size { get; }
- public int64 position { get; }
- public int64 byte_position { get; }
- public unowned List<DLNAProfile> supported_profiles { get; }

### Static methods:

- public static Player instance () throws Error

### Methods:

- public bool seek (int64 time)
- public bool seek_bytes (int64 bytes)
- public string[] get_protocols ()
- public string[] get_mime_types ()

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count

All known members inherited from interface Rygel.MediaPlayer

- allowed_playback_speeds
- byte_position
- can_seek
- can_seek_bytes
- content_features
- duration
- duration_as_str
- metadata

- mime_type
- playback_speed
- playback_state
- position
- position_as_str
- protocol_info
- size
- uri

- user_agent
- volume
- get_mime_types
- get_protocols
- play_speed_to_double
- seek
- seek_bytes